#### D.5.2.39 tdFactor

Procedure from library `chern.lib` (see chern_lib).

Usage:
  tdFactor(n, a); n integer, a polynomial

Return:
  polynomial

Purpose:
  computes up to degree n the Todd class
  of the line bundle corresponding to the Chern root t

Note:
  returns 0 if n is negative

Example:

    LIB "chern.lib";
    // the Todd class up do degree 4
    ring r=0,(t), ls;
    print( tdFactor(4, t) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.